Summary: ModSecurity Rules
Name: mod_security_crs
Version: 2.2.8
Release: 1
License: ASL 2.0
URL: http://www.modsecurity.org/
Group: System Environment/Daemons

# Use the following command to generate the tarball:
# wget --content-disposition https://github.com/SpiderLabs/owasp-modsecurity-crs/archive/2.2.8.tar.gz

Source0: owasp-modsecurity-crs-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

PreReq: mod_security >= 2.8.0


%description
This package provides the base rules for mod_security.


%package        extras
Summary:        Supplementary mod_security rules 
Group:          System Environment/Daemons
PreReq:         %{name} = %{version}-%{release}

%description    extras
This package provides supplementary rules for %{name}.


%prep
%setup -q -n owasp-modsecurity-crs-%{version}


%build
# nothing to be done here


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d/activated_rules
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d/activated_rules

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/base_rules
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/base_rules

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/optional_rules
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/optional_rules

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/experimental_rules
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/experimental_rules

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/slr_rules
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/slr_rules

cp modsecurity_crs_10_setup.conf.example ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf

cp base_rules/* ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/base_rules/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/base_rules/*

cp optional_rules/* ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/optional_rules/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/optional_rules/*

cp experimental_rules/* ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/experimental_rules/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/experimental_rules/*

cp slr_rules/* ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/slr_rules/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/modsecurity.d/slr_rules/*

# activate base_rules
for f in `ls ${RPM_BUILD_ROOT}/%{_libdir}/modsecurity.d/base_rules/` ; do 
    ln -s %{_libdir}/modsecurity.d/base_rules/${f} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modsecurity.d/activated_rules/${f}
done


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc CHANGES INSTALL LICENSE README.md
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/activated_rules/*
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf
%{_libdir}/modsecurity.d/base_rules


%files extras
%{_libdir}/modsecurity.d/optional_rules
%{_libdir}/modsecurity.d/experimental_rules
%{_libdir}/modsecurity.d/slr_rules


%changelog
* Fri Nov 14 2014 Michael Perzl <michael@perzl.org> - 2.2.8-1
- first version for AIX V5.1 and higher
